# Função principal de configuração
function configuracao(){
   lista=("Retornar" "Habilitar Música" "Desabilitar Música")
   while true; do
        clear
        echo -e "\n${vermelho}###### CONFIGURAÇÕES DO JOGO #####${desliga}"
        i="0"
        for escolha in "${lista[@]}"; do
             echo "  ($i) ${escolha}"
             ((i++))
        done
        read -p $'\nO que você deseja fazer? ' conf_escolha
        if [[ "$conf_escolha" = "0" ]]; then
            principal
        elif [[ "$conf_escolha" = "1" ]]; then
             if [[ "$som" =  "0" ]]; then # Desligado? tocou!
                  som="1"  # 0 desligado / 1 ligado.
                  ogg123 -r "musicas/ambiente-inicial.ogg" >/dev/null 2>&1 &
             fi     
        elif [[ "$conf_escolha" = "2" ]]; then
             som="0" # 0 desligado / 1 ligado.
             die     # MORRA ogg!
        else
            echo -e "\t\E[31;1mOpção Inválida!\033[m"
            sleep 0.3s
            continue   
        fi          
   done
}
